Skip to content

upsertStockTransferLine

WRITE

Upsert stock transfer line.

POST /api/v1/inventory/upsertStockTransferLine
curl -X POST '<your-host>/api/v1/inventory/upsertStockTransferLine' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "stockTransferId": "string",
    "itemId": "string",
    "quantity": 0,
    "requiresBatchTracking": "true",
    "requiresSerialTracking": "true",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min 0
"true""false"
"true""false"
min length 1
min 0

Input schema

schema
{
  "type": "object",
  "properties": {
    "stockTransferId": {
      "type": "string",
      "minLength": 1
    },
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "fromStorageUnitId": {
      "type": "string"
    },
    "toStorageUnitId": {
      "type": "string"
    },
    "quantity": {
      "type": "number",
      "minimum": 0
    },
    "pickedQuantity": {
      "type": "number",
      "minimum": 0
    },
    "requiresBatchTracking": {
      "type": "string",
      "enum": [
        "true",
        "false"
      ]
    },
    "requiresSerialTracking": {
      "type": "string",
      "enum": [
        "true",
        "false"
      ]
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "stockTransferId",
    "itemId",
    "quantity",
    "requiresBatchTracking",
    "requiresSerialTracking",
    "_operation"
  ]
}